Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	File Roller is a tool for viewing and creating archives
Name:		file-roller
Version:	2.28.1
Release:	2
BuildArch:	i686
License:	GPL
Group:		Archiving/Compression
URL:		http://ftp.gnome.org/pub/gnome/sources/file-roller/
Source:		file-roller-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/file-roller-%{version}-root

Requires(post):		scrollkeeper
Requires(post):		desktop-file-utils
Requires(pre):		GConf
Requires(post):		GConf
Requires(preun):	GConf

Requires(postun):	scrollkeeper
Requires(postun):	desktop-file-utils

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libXrender-devel
BuildRequires: nautilus-extensions
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: zlib-devel gnome-doc-utils libSM-devel

%description
File Roller is an application for creating and viewing archives files, 
such as tar files.

%post
update-desktop-database -q
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/file-roller.schemas 2>&1 >/dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then 
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
if [ -e %{_sysconfdir}/gconf/schemas/file-roller.schemas ]; then
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/file-roller.schemas 2>&1 >/dev/null
fi
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/file-roller.schemas 2>&1 >/dev/null
fi

%postun
update-desktop-database -q
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%prep
%setup -q

%build
%configure \
--disable-scrollkeeper \
--disable-schemas-install
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove unwanted stuff
rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.a
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS AUTHORS
%_bindir/%{name}
%_datadir/%{name}
%_datadir/gnome/help
%_datadir/omf
%_applications/file-roller.desktop
%_datadir/icons/hicolor/*/apps/file-roller.*
%_sysconfdir/gconf/schemas
%_libexecdir/%{name}/


%changelog
* Tue Dec 01 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.28.1-2
- defused problematic %pre scriplet
* Wed Nov 25 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-1
- Version update
* Wed Apr 15 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.1-1
- Version update
* Mon Apr 06 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-1
- Version update
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update, changed package group
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-1
- Version update
* Thu Mar 22 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Thu Nov 23 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.2-1
- Initial release
